> For the complete documentation index, see [llms.txt](https://docs.antbuddy.us/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.antbuddy.us/integration-document-guide/antbot/voice-otp.md).

# Voice OTP

#### Voice OTP

**Integration and Use of Voice OTP**

**Purpose**:\
Allows the use of Alice Voice OTP from a third-party provider.

**API Details**

All API requests to the Alice system are made via the domain:\
`https://alice.antbuddy.com/rest-api`

**Authorization Header (required)**:\
`Authorization: Bearer {access_token}`

***

**Get AccessToken**

* **Endpoint**: `/get-token/`
* **Method**: POST
* **Body**:

  ```json
  jsonCopyEdit{
    "username": "username",
    "password": "password"
  }
  ```
* **Description**:
  * **username**: Username or email registered with Antbuddy.
  * **password**: Password.

***

**Create OTP Call Request**

* **API to Create OTP Code Request for a Phone Number:**
* **View existing OTP calls**
  * **Endpoint**: `/voice-otp/`
  * **Method**: GET
* **Create OTP call**
  * **Endpoint**: `/voice-otp/`
  * **Method**: POST
  * **Body**:

    ```json
    jsonCopyEdit{
      "alarm_phonenumber": "0919273027",
      "otp": "123445",
      "maxretry": 0
    }
    ```
* **Description**:
  * **alarm\_phonenumber**: Phone number to receive the OTP code (required).
  * **otp**: OTP code to send to the phone number. If left blank or not provided, the system will automatically generate a random code for testing purposes.
  * **maxretry**: Number of retry attempts for the OTP reading. Default is `0`, which corresponds to one attempt.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.antbuddy.us/integration-document-guide/antbot/voice-otp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
